Bug 57451 - FILEOPEN: CRASH when FILEOPEN .xlsx
Summary: FILEOPEN: CRASH when FILEOPEN .xlsx
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
3.6.3.2 release
Hardware: Other All
: medium normal
Assignee: Markus Mohrhard
URL:
Whiteboard: BSA target:4.0.0 target:3.6.4
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-23 10:59 UTC by Pierx
Modified: 2013-11-16 18:51 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
.zip containing both the original .ODS and .XLSX file created with Libreoffice Version 3.6.3.2 (Build ID: 58f22d5) (33.07 KB, application/zip)
2012-11-23 10:59 UTC, Pierx
Details
bt with symbols + console logs (11.66 KB, text/plain)
2012-11-24 06:47 UTC, Julien Nabet
Details
console logs during ods opening (107.79 KB, text/plain)
2012-11-24 06:53 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pierx 2012-11-23 10:59:06 UTC
Created attachment 70471 [details]
.zip containing both the original .ODS and .XLSX file created with Libreoffice Version 3.6.3.2 (Build ID: 58f22d5)

Problem description: .XLSX file created by Libreoffice from .ods won't load and then soft 'quit unexpectedly'

Steps to reproduce:
1. Open .ods file
2. Save as in .xlsx format
3. Close the new .xlsx file
4. Reopen it then crash


Current behavior: file begins to load and then soft quit in the middle of loading

Expected behavior: file should load... (because i need to know how it is in excel format)

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:17.0) Gecko/17.0 Firefox/17.0
Comment 1 billhook 2012-11-23 17:56:43 UTC
I get slightly different behaviour on LO 3.6.4.1 Windows XP SP3 32bit.

When I try to open the .xlsx. I get an error message:

"General Input/Output error".

The file does not load. LibreOffice does not crash.

@Pierx What operating system are you using? OSX?
Comment 2 Julien Nabet 2012-11-24 06:47:08 UTC
Created attachment 70500 [details]
bt with symbols + console logs

On pc Debian x86-64 with master sources updated yesterday (commit e40e6b26eb020683769e06530820d9dcdde30830), I reproduced this behaviour.

I attached console logs (noticed warn:legacy.osl:5538:1:/home/julien/compile-libreoffice/libo/sal/rtl/source/strtmpl.cxx:1201: Out of bounds substring access during saving in xlsx) + bt
Comment 3 Julien Nabet 2012-11-24 06:53:40 UTC
Created attachment 70501 [details]
console logs during ods opening

Noticed these during opening ods:
warn:legacy.osl:5718:1:/home/julien/compile-libreoffice/libo/sal/rtl/source/strtmpl.cxx:1201: Out of bounds substring access
warn:legacy.osl:5718:1:/home/julien/compile-libreoffice/libo/xmloff/source/core/xmlerror.cxx:186: An error or a warning has occurred during XML import/export!
Comment 4 Julien Nabet 2012-11-24 06:55:15 UTC
Muthu: one for you?
Comment 5 Not Assigned 2012-11-24 18:05:50 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=144a8586b8a3cc16a00807f5968886e73c44c0d9

this method actually can throw, related fdo#57451



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Not Assigned 2012-11-24 18:06:08 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c54534415dd71afffaff929617a4ddfcd599b152

we need to catch the exception here, fdo#57451



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Not Assigned 2012-11-25 00:04:29 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4ce8d87c349ad821dec2edb8e4eca5b268b762a9&g=libreoffice-3-6

we need to catch the exception here, fdo#57451


It will be available in LibreOffice 3.6.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Not Assigned 2012-11-25 00:04:47 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=629eae76961a8b455d0b966db5f3888c30d0280e&g=libreoffice-3-6

this method actually can throw, related fdo#57451


It will be available in LibreOffice 3.6.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Not Assigned 2012-11-26 09:57:46 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b519946df0ce64410add26c6aaa8f35cefe05a1e&g=libreoffice-3-6-4

we need to catch the exception here, fdo#57451


It will be available already in LibreOffice 3.6.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Not Assigned 2012-11-26 09:58:08 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-3-6-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=944242608ea8335f071033dc422447c526794544&g=libreoffice-3-6-4

this method actually can throw, related fdo#57451


It will be available already in LibreOffice 3.6.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.